spring.application.name=Classb app
## database setup
spring.datasource.url=jdbc:mysql://localhost:3306/students_java?allowPublicKeyRetrieval=true&autoReconnect=true&useSSL=false

#dev
spring.datasource.username=root
spring.datasource.password=Rich.com

#spring.jpa.hibernate.ddl-auto=update
spring.jpa.hibernate.ddl-auto=create-drop
spring.jpa.database=mysql
spring.jpa.show-sql=true

# Naming strategy
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy

# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect

#Documentation custom path
#springdoc.api-docs.path=/api-docs


